### Method

# WebKitWebExtension DOMHTMLScriptElement set_charset

deprecated: 2.22 since: 2.16

#### Declaration [src]

    void
    webkit_dom_html_script_element_set_charset (
      WebKitDOMHTMLScriptElement* self,
      const gchar* value
    )

#### Description

No description available.

Available since: 2.16

Deprecated since: 2.22

Use JavaScriptCore API instead.

Sets property | `WebKitWebExtension.DOMHTMLScriptElement:charset`

#### Parameters

`value`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.